#!/usr/bin/perl
# ------------------------------------------------------------------------------
# -- Copyright (c) 2021 Jersey Jack Pinball ------------------------------------
# ------------------------------------------------------------------------------
use utf8;
use strict;
use warnings;
use Log::Log4perl;

# ------------------------------------------------------------------------------
# -- logging -------------------------------------------------------------------
# ------------------------------------------------------------------------------
my $conf = q(
    log4perl.category.jjp.net          = INFO, Logfile
    log4perl.appender.Logfile          = Log::Log4perl::Appender::File
    log4perl.appender.Logfile.filename = /jjpe/temp/net.log
    log4perl.appender.Logfile.layout   = Log::Log4perl::Layout::PatternLayout
    log4perl.appender.Logfile.layout.ConversionPattern = \\
        [%d] %p - script: %F - line number: %L - message: %m%n
);

Log::Log4perl::init(\$conf);
my $logger = Log::Log4perl->get_logger('jjp::net');

# ------------------------------------------------------------------------------
# -- main ----------------------------------------------------------------------
# ------------------------------------------------------------------------------
my ($update_directory, $update_filename) = @ARGV;
if (not defined $update_directory or not defined $update_filename) {
    $logger->error('missing args');
    exit;
}

my $pids = `pgrep -d ' ' curl`;
chomp $pids;
$pids = $pids.' '.`pgrep -d ' ' downloadupdate`;
if ($pids ne '') {
    chomp $pids;
    $logger->info("killing curl processes: $pids");
    system "kill -9 $pids";
    sleep(1);
}

system "rm -rf /jjpe/temp/$update_directory";
system 'rm -f /jjpe/temp/*progress';
system 'rm -f /jjpe/temp/curl*';
